Update Project Users
curl --request POST \
--url https://api.harvey.ai/api/v1/vault/projects/{project_id}/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"users": [
{
"email": "admin@example.com",
"access_level": "MANAGE"
},
{
"email": "reviewer@example.com",
"access_level": "READ"
}
]
}
'import requests
url = "https://api.harvey.ai/api/v1/vault/projects/{project_id}/users"
payload = { "users": [
{
"email": "admin@example.com",
"access_level": "MANAGE"
},
{
"email": "reviewer@example.com",
"access_level": "READ"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
users: [
{email: 'admin@example.com', access_level: 'MANAGE'},
{email: 'reviewer@example.com', access_level: 'READ'}
]
})
};
fetch('https://api.harvey.ai/api/v1/vault/projects/{project_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "COMPLETED",
"data": {
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added": [
{
"email": "jsmith@example.com"
}
],
"updated": [
{
"email": "jsmith@example.com"
}
],
"failed": [
{
"email": "jsmith@example.com",
"reason": "<string>"
}
]
}
}Vault
Update Project Users
Adds or updates workspace user shares on a Vault project. This endpoint uses an additive/partial-update model: users in the request are added or have their access level updated; users not in the request are left unchanged. The project owner cannot be included in the request.
Requires vault sharing to be enabled.
POST
/
api
/
v1
/
vault
/
projects
/
{project_id}
/
users
Update Project Users
Permissions
RequiresVault API and Vault sharing permissions.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the Vault project
Body
application/json
The list of users and their desired access levels to add or update. Users omitted from this list are left unchanged.
Show child attributes
Show child attributes
⌘I